Menu

Android phone compatibility issues with Polar products

There is plenty of variation between how different Android devices handle the technologies used in our products and services, such as Bluetooth Low Energy (BLE) and different standards and protocols. Because of this compatibility varies between phone manufacturers, and from time to time we discover compatibility issues with certain phones. At the moment we’ve identified issues with the following models:

Huawei P8 lite (also known as Huawei ALE-21) Android 6.0 with all Polar devices (except M600) 

Users have experienced problems when pairing or syncing Polar sensors or wrist devices.

We’ve listed some troubleshooting tips you can try below. Try these one by one, and check if any of them help.

  • Make sure Flow/Beat app is running on your mobile device and keep it at the foreground
  • Turn Flight mode on and off on your mobile and see if it helps
  • Reset Bluetooth connections from your Polar device (see the user manual of your Polar device for instructions)
  • Remove your Polar device from your mobile device's Bluetooth setting menu and pair via Flow/Beat app
  • Sign out from the app and sign back in again
  • Uninstall and reinstall Flow/Beat app from Google Play
  • Restart your mobile device

If the above troubleshooting tips do not help, unfortunately that is it, there is nothing else you can do.

Samsung Galaxy A3 Android 7.0 and Samsung Galaxy A5 Android 7.0 with Polar OH1 and Polar H10

Users have experienced connection problems with Polar OH1 and H10 heart rate sensors with Polar Beat and Flow app.

The 2.1.9 firmware update for the H10 and the 2.0.10 firmware update for the OH1 heart rate sensor fixes this issue. If you encounter problems updating the firmware, contact your local Polar Service Center.

How to update H10? https://support.polar.com/en/support/how_can_i_update_polar_h10

How to update OH1? https://support.polar.com/en/how-can-i-update-polar-oh1

Samsung Galaxy A3 Android 7.0 or newer and Samsung Galaxy A5 Android 7.0 or newer compatible with Vantage V and Vantage M after 1.2 firmware update

Polar Vantage V and Vantage M are not compatible with Samsung Galaxy A3 and A5 if the firmware version of the Vantage device is older than 1.2. Please use Polar FlowSync or another compatible mobile device to setup your Vantage and install the firmware update.

Once the 1.2 firmware update is installed, you can sync with the Polar Flow app on your Galaxy phone. If you do not have a possibility to use a computer or another mobile device, please contact your local Customer Care team at https://support.polar.com/en/support/contact_us/email_polar.

UPDATED January 23th, 2019: Google Pixel XL/2/2XL/3/3XL Android 9 with Polar V800 

After updating a Google Pixel phone to Android version 9, synchronization with Polar V800 and Flow app might not work as expected: the first pairing and sync are successful, but every sync after that fails.

We have looked into this issue and unfortunately, we do not foresee that this restriction will change in the future and therefore these phones will remain incompatible with Polar V800. We can only recommend you continue syncing your Polar V800 with Polar FlowSync on your computer - or use another compatible mobile device to sync the device.

Download FlowSync from HERE if you do not have it already installed on your computer. 

  1. Plug the USB cable into your computer and snap the connector onto your V800. Make sure FlowSync software is running.
  2. The FlowSync window opens on your computer, and the syncing starts.
  3. Completed is displayed when you are done.

To clarify, this affects only Polar V800, other Polar devices are compatible with Google Pixel phones.

 

 

Contact Us
Contact Us
Request repair
Request repair

Change region

If your country is not listed on this page, please find your local contact details, retailers and stores and service points on our global site.